#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform sampler2D u_texture;
uniform vec3 u_color;

void main() {
	vec4 c = v_color * texture2D(u_texture, v_texCoords);
	//float gray = (c.r + c.g + c.b)/3;
	//gl_FragColor = vec4(gray, gray, gray, c.a);
	gl_FragColor = vec4(u_color.r, u_color.g, u_color.b, c.a);
	
}
